## CamelMaildirSummary

CamelMaildirSummary

## Functions

CamelMaildirSummary * | camel_maildir_summary_new ()
gchar | camel_maildir_summary_get_filename_flag_sep ()
gchar * | camel_maildir_summary_info_to_name ()
gchar * | camel_maildir_summary_uid_and_flags_to_name ()
gboolean | camel_maildir_summary_name_to_info ()

## Types and Values

#define | CAMEL_MAILDIR_FILENAME_FLAG_SEP
#define | CAMEL_MAILDIR_FILENAME_FLAG_SEP_ALT

## Object Hierarchy

        GObject
        ╰── CamelFolderSummary
            ╰── CamelLocalSummary
                ╰── CamelMaildirSummary

## Description

## Functions

### camel_maildir_summary_new ()

    CamelMaildirSummary *
    camel_maildir_summary_new (struct _CamelFolder *folder,
                               const gchar *maildirdir,
                               CamelIndex *index,
                               gchar filename_flag_sep);

Create a new CamelMaildirSummary object.

#### Parameters

folder | parent folder. |
maildirdir | a maildir directory for the new summary |
index | an optional CamelIndex to use, or `NULL`. | [nullable]

#### Returns

A new CamelMaildirSummary object.

[transfer full]

### camel_maildir_summary_get_filename_flag_sep ()

    gchar
    camel_maildir_summary_get_filename_flag_sep
                                   (CamelMaildirSummary *maildir_summary);

### camel_maildir_summary_info_to_name ()

    gchar *
    camel_maildir_summary_info_to_name (const CamelMessageInfo *info);

### camel_maildir_summary_uid_and_flags_to_name ()

    gchar *
    camel_maildir_summary_uid_and_flags_to_name
                                   (CamelMaildirSummary *maildir_summary,
                                    const gchar *uid,
                                    guint32 flags);

### camel_maildir_summary_name_to_info ()

    gboolean
    camel_maildir_summary_name_to_info (CamelMessageInfo *info,
                                        const gchar *name);

## Types and Values

### CAMEL_MAILDIR_FILENAME_FLAG_SEP

    #define CAMEL_MAILDIR_FILENAME_FLAG_SEP '!'

### CAMEL_MAILDIR_FILENAME_FLAG_SEP_ALT

    #define CAMEL_MAILDIR_FILENAME_FLAG_SEP_ALT ':'